{% extends "catalog/base_generic.html" %}

{% block content %}
    {% if bookinstance_list %}
        <h1>
            {% with books_count=bookinstance_list.count %}
                Reserved book{{ books_count|pluralize }}
                <span class="badge badge-primary">{{ books_count }}</span>
            {% endwith %}
        </h1>
        <ul class="list-group">
            {% for bookinst in bookinstance_list %}
                <li class="list-group-item {% if bookinst.borrower is None %}list-group-item-success{% endif %}">
                    <a href="{% url 'book-detail' bookinst.book.pk %}">{{ bookinst.book.title }}</a>
                    ({% if bookinst.due_back %}
                        Available in {{ bookinst.due_back|timeuntil }}
                    {% else %}
                        Available
                    {% endif %})
                    <a href="{% url 'cancel-res' bookinst.id %}">
                        <button class="btn btn-primary btn-sm">Cancel reservation</button>
                    </a>
                </li>
            {% endfor %}
        </ul>
    {% else %}
        <h1>Reservation</h1>
        <p>You don't have any book reserved.</p>
    {% endif %}
{% endblock %}